Faille de sécurité dans PHPnuit, une dépendance utilisée par des modules dans PrestaShop
07 Janvier 2020 - par Olivier LE CORRE

Le 27 Décembre a été détecté une faille de sécurité importante dans PHPunit. Cet outil est utilisé lors de développement pour effectuer des tests unitaires. PHPUnit n'est pas nécessaire en production.
Sauf que dans quelques modules, il est toujours présent.

Cette faille importante permet de prendre le controle de votre PrestaShop et toutes les boutiques PrestaShop peuvent avoir cette faille. Ce n'est pas systématique, sur les 120 sites que nous gérons, 60% des sites pouvaient être infectés.

Aucun site que nous gérons n'a été touché !

La réaction de PrestaShop

Dès le 28 Décembre, Prestashop a communiqué l'information aux agences partenaires pour vérifier les faits.

Ce 07 Janvier 2020 PrestaShop vient d'effectuer une communication officielle :
https://build.prestashop.com/news/critical-security-vulnerability-in-prestashop-modules/

Tous les modules cPrestaShop oncernés ont été mis à jour

Comment corriger la faille ?

Vous pouvez le faire vous même, vous devez parcourir par FTP le dossier /modules de votre installation de PrestaShop et dans les sous-dossier "/vendor" si vous avez un dossier "PHPunit", supprimé le !

Nous pouvons le faire pour vous et nettoyer votre site si celui-ci a été contaminé. Pour le faire: achetez 1 credit temps et nous interviendrons rapidement

Et ensuite ?

Tous les éditeurs de module vont mettre à jour leurs modules pour supprimer ce dossier PHPunit.

Rester vigilant et lors de l'installation d'un module, controler son dossier.

Nous pouvons vous accompagner pour vérifier la sécurité de votre boutique avec ce Pack Sécurité

Nous sommes disponbile pour toutes questions : Contactez-nous